#ifndef __BRAIN_NETWORKCONFIG_DIALOG
#define __BRAIN_NETWORKCONFIG_DIALOG


class BNetworkConfigDlg : public BActiveWindow {
public:
	BNetworkConfigDlg(int x,int y,int dx,int dy,int gm,char *replay_file,NWMOG2GameInfo *gi,List<OBJECT> *ch,TTF_Font *font);
	~BNetworkConfigDlg();

	virtual bool cycle(int stx,int sty);

	bool init_server(void);
	bool init_client(void);
	void disconnect(void);

protected:
	virtual void contens_size(int *dx,int *dy);
	virtual void draw_contens(SDL_Surface *sfc,int stx,int sty,int dx,int dy);
	virtual bool button_pressed(int ID);

	BButton *bdisable,*bserver,*bclient;

	int game_mode;
	char *replay_file;


	int network_mode;	/* 0 : disabled	*/ 
						/* 1 : server	*/ 
						/* 2 : client	*/ 
	int connection_state;
	int last_message_type;
	Uint32 network_timeout,network_timeout_start;

	bool network_active;

	List<OBJECT> *characters;
	NWMOG2GameInfo *gameinfo;
	
	int current_client;	/* The server is currently communicating with this client */ 
	int current_player;	/* The player that the client is currently registering */ 

	NWMOG2ClientInfo *client_showing;

	char connect_to[80];

	List<char> names_list;
	BListWnd *lw;
};

#endif

